Loading...
Searching...
No Matches
EtmV4P0Stack Class Reference

`#include <trc_etmv4_stack_elem.h>`

## Public Member Functions

| EtmV4P0Stack ()
| ~EtmV4P0Stack ()
void | push_front (TrcStackElem *pElem)
void | push_back (TrcStackElem *pElem)
void | pop_back (bool pend_delete=true)
void | pop_front (bool pend_delete=true)
TrcStackElem * | back ()
TrcStackElem * | front ()
size_t | size ()
void | from_front_init ()
TrcStackElem * | from_front_next ()
void | erase_curr_from_front ()
void | delete_all ()
void | delete_back ()
void | delete_front ()
void | delete_popped ()
TrcStackElemParam * | createParamElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const std::vector< uint32_t > &params)
TrcStackElem * | createParamElemNoParam (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, bool back=false)
TrcStackElemAtom * | createAtomElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const ocsd_pkt_atom &atom)
TrcStackElemExcept * | createExceptElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const bool bSame, const uint16_t excepNum)
TrcStackElemCtxt * | createContextElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const etmv4_context_t &context, const uint8_t IS, const bool back=false)
TrcStackElemAddr * | createAddrElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const etmv4_addr_val_t &addr_val)
TrcStackQElem * | createQElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const int count)
TrcStackElemMarker * | createMarkerElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const trace_marker_payload_t &marker)
TrcStackElemAddr * | createSrcAddrElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const etmv4_addr_val_t &addr_val)
TrcStackElemITE * | createITEElem (const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index, const trace_sw_ite_t &ite)

## Detailed Description

Definition at line 366 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## EtmV4P0Stack()

EtmV4P0Stack::EtmV4P0Stack | ( |  | ) |

inline

Definition at line 369 of file trc_etmv4_stack_elem.h.

## ~EtmV4P0Stack()

EtmV4P0Stack::~EtmV4P0Stack | ( |  | ) |

inline

Definition at line 408 of file trc_etmv4_stack_elem.h.

Here is the call graph for this function:

## Member Function Documentation

## back()

TrcStackElem * EtmV4P0Stack::back | ( |  | ) |

inline

Definition at line 466 of file trc_etmv4_stack_elem.h.

Here is the caller graph for this function:

## createAddrElem()

TrcStackElemAddr * EtmV4P0Stack::createAddrElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const etmv4_addr_val_t & | addr_val )

## createAtomElem()

TrcStackElemAtom * EtmV4P0Stack::createAtomElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const ocsd_pkt_atom & | atom )

## createContextElem()

TrcStackElemCtxt * EtmV4P0Stack::createContextElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const etmv4_context_t & | context,
|  | const uint8_t | IS,
|  | const bool | back = false )

Here is the call graph for this function:

## createExceptElem()

TrcStackElemExcept * EtmV4P0Stack::createExceptElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const bool | bSame,
|  | const uint16_t | excepNum )

## createITEElem()

TrcStackElemITE * EtmV4P0Stack::createITEElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const trace_sw_ite_t & | ite )

## createMarkerElem()

TrcStackElemMarker * EtmV4P0Stack::createMarkerElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const trace_marker_payload_t & | marker )

## createParamElem()

TrcStackElemParam * EtmV4P0Stack::createParamElem | ( | const p0_elem_t | p0_type,
|  | const bool | isP0,
|  | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const std::vector< uint32_t > & | params )

## createParamElemNoParam()

TrcStackElem * EtmV4P0Stack::createParamElemNoParam | ( | const p0_elem_t | p0_type,
|  | const bool | isP0,
|  | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | bool | back = false )

Here is the call graph for this function:

## createQElem()

TrcStackQElem * EtmV4P0Stack::createQElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const int | count )

## createSrcAddrElem()

TrcStackElemAddr * EtmV4P0Stack::createSrcAddrElem | ( | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index,
|  | const etmv4_addr_val_t & | addr_val )

## delete_all()

void EtmV4P0Stack::delete_all | ( |  | ) |

inline

Definition at line 477 of file trc_etmv4_stack_elem.h.

Here is the call graph for this function:
Here is the caller graph for this function:

## delete_back()

void EtmV4P0Stack::delete_back | ( |  | ) |

inline

Definition at line 442 of file trc_etmv4_stack_elem.h.

Here is the caller graph for this function:

## delete_front()

void EtmV4P0Stack::delete_front | ( |  | ) |

inline

Definition at line 453 of file trc_etmv4_stack_elem.h.

## delete_popped()

void EtmV4P0Stack::delete_popped | ( |  | ) |

inline

Definition at line 485 of file trc_etmv4_stack_elem.h.

Here is the caller graph for this function:

## erase_curr_from_front()

void EtmV4P0Stack::erase_curr_from_front | ( |  | ) |

## from_front_init()

void EtmV4P0Stack::from_front_init | ( |  | ) |

## from_front_next()

TrcStackElem * EtmV4P0Stack::from_front_next | ( |  | ) |

## front()

TrcStackElem * EtmV4P0Stack::front | ( |  | ) |

inline

Definition at line 471 of file trc_etmv4_stack_elem.h.

## pop_back()

void EtmV4P0Stack::pop_back | ( | bool | pend_delete = true | ) |

inline

Definition at line 427 of file trc_etmv4_stack_elem.h.

## pop_front()

void EtmV4P0Stack::pop_front | ( | bool | pend_delete = true | ) |

inline

Definition at line 434 of file trc_etmv4_stack_elem.h.

## push_back()

void EtmV4P0Stack::push_back | ( | TrcStackElem * | pElem | ) |

inline

Definition at line 421 of file trc_etmv4_stack_elem.h.

## push_front()

void EtmV4P0Stack::push_front | ( | TrcStackElem * | pElem | ) |

inline

Definition at line 415 of file trc_etmv4_stack_elem.h.

## size()

size_t EtmV4P0Stack::size | ( |  | ) |

inline

Definition at line 496 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h